
/*  A Bison parser, made from HeaderGrammar.y
 by  GNU Bison version 1.25
  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse HeaderGrammarparse
#define yylex HeaderGrammarlex
#define yyerror HeaderGrammarerror
#define yylval HeaderGrammarlval
#define yychar HeaderGrammarchar
#define yydebug HeaderGrammardebug
#define yynerrs HeaderGrammarnerrs
#define	INTERFACE	258
#define	PROTOCOL	259
#define	END	260
#define	BEGINUNION	261
#define	BEGINSTRUCT	262
#define	ENDSTRUCT	263
#define	IDENT	264
#define	AUTODOCCOMMENT	265
#define	COPYRIGHTCOMMENT	266
#define	STATICTYPE	267
#define	VARDECL	268
#define	FUNCTION	269
#define	INLINEFUNCTION	270
#define	GLOBALVAR	271
#define	CONSTANT	272
#define	MACRO	273
#define	TYPEDEF	274
#define	ENUM	275
#define	ELLIPSIS	276
#define	METHODSTART	277

#line 1 "HeaderGrammar.y"

//
//	HeaderGrammar.y
//	  Written by Carl Lindberg Copyright 1998 by Carl Lindberg.
//                     All rights reserved.
//		This notice may not be removed from this source code.
//
//	This header is included in the MiscKit by permission from the author
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	

	#import <Foundation/NSDictionary.h>
	#import <Foundation/NSPathUtilities.h>
	#import <Foundation/NSUtilities.h>
	#import <Foundation/NSArray.h>
	#import <MiscFoundation.subproj/NSString+MiscRegex.h>
	#import <stdio.h>
	#import <stdlib.h>
	#import <string.h>

	#import "ADClass.h"
	#import "ADComment.h"
	#import "ADProtocol.h"
	#import "ADCompoundIvar.h"
	#import "ADCategory.h"
	#import "ADMethod.h"
	#import "ADMacro.h"
	#import "ADConstant.h"
	#import "ADGlobalVariable.h"
	#import "ADInlineFunction.h"
	#import "ADTypedef.h"
	#import "ADFile.h"
	#import "ADDefaults.h"
	#import "ADUtilities.h"

	/* Is there a better way to handle this? */
	#undef yylex
	#define yylex HeaderTokenizerlex
	
	/* Use our logging function, so we can control where output goes */
	#define fprintf adfprintf

	/* Define some values, since we can't use the '@' character inside bison rules */
	#define EMPTYSTRING @""
	#define UNDERSCORE  @"_"
	#define UNIONSTRING @"union"
	#define STRUCTSTRING @"struct"
	
	typedef struct _MethodArg {
		NSString *argName;
		NSString *argType;
		NSString *varName;
	} MethodArg;
	
	
	int yyerror(char *s);
	int yylex();

	static ADHeaderEntity *lastEntity = nil;
	static ADComment *currentComment = nil;

	#define YYDEBUG 1
	#define YYERROR_VERBOSE 1
	
//	YYPARSE_PARAM doesn't work because of a snafu in bison.simple
//	#define YYPARSE_PARAM fileContents
//	#define ADFILE (ADFile *)fileContents
	static ADFile *globalFileContents;
	#define ADFILE (ADFile *)globalFileContents

#line 112 "HeaderGrammar.y"
typedef union
{
	NSString *stringVal;
	int		intVal;
	char	charVal;
	MethodArg  methodArg;
	NSArray  *array;
	NSMutableArray *mutableArray;
	id	 object;
	ADMethod *method;
	ADIvar *ivar;
	ADComment *comment;
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		76
#define	YYFLAG		-32768
#define	YYNTBASE	32

#define YYTRANSLATE(x) ((unsigned)(x) <= 277 ? yytranslate[x] : 47)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    24,
    25,     2,     2,    28,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    23,    31,    26,
     2,    27,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,    29,     2,    30,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,    14,    21,    30,    36,    38,    40,    42,
    44,    46,    48,    50,    52,    54,    55,    59,    61,    65,
    66,    70,    71,    74,    77,    81,    85,    87,    88,    90,
    91,    94,   101,   103,   105,   106,   109,   110,   112,   113,
   116,   121,   123,   124
};

static const short yyrhs[] = {    -1,
    32,    33,     0,     3,     9,    23,     9,    34,    39,    36,
    40,     5,     0,     3,     9,    34,    36,    40,     5,     0,
     3,     9,    24,     9,    25,    34,    40,     5,     0,     4,
     9,    34,    40,     5,     0,    10,     0,    11,     0,    14,
     0,    15,     0,    16,     0,    17,     0,    18,     0,    19,
     0,    20,     0,     0,    26,    35,    27,     0,     9,     0,
     9,    28,    35,     0,     0,    29,    37,    30,     0,     0,
    37,    38,     0,    13,    39,     0,     6,    37,     8,     0,
     7,    37,     8,     0,     1,     0,     0,    10,     0,     0,
    40,    41,     0,    22,    43,     9,    44,    42,    31,     0,
    10,     0,     1,     0,     0,    28,    21,     0,     0,    12,
     0,     0,    44,    45,     0,    46,    23,    43,     9,     0,
     1,     0,     0,     9,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
   128,   129,   147,   159,   168,   177,   185,   190,   195,   200,
   205,   210,   232,   237,   242,   249,   250,   253,   254,   257,
   258,   260,   261,   263,   269,   275,   281,   284,   285,   288,
   289,   291,   300,   304,   309,   310,   313,   314,   317,   321,
   328,   334,   342,   343
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","INTERFACE",
"PROTOCOL","END","BEGINUNION","BEGINSTRUCT","ENDSTRUCT","IDENT","AUTODOCCOMMENT",
"COPYRIGHTCOMMENT","STATICTYPE","VARDECL","FUNCTION","INLINEFUNCTION","GLOBALVAR",
"CONSTANT","MACRO","TYPEDEF","ENUM","ELLIPSIS","METHODSTART","':'","'('","')'",
"'<'","'>'","','","'{'","'}'","';'","file","filepiece","conforms","manyconforms",
"vardecls","manyvardecls","vardecl","maybecomment","manymethods","method","maybeellipsis",
"statictype","arguments","argument","maybeident", NULL
};
#endif

static const short yyr1[] = {     0,
    32,    32,    33,    33,    33,    33,    33,    33,    33,    33,
    33,    33,    33,    33,    33,    34,    34,    35,    35,    36,
    36,    37,    37,    38,    38,    38,    38,    39,    39,    40,
    40,    41,    41,    41,    42,    42,    43,    43,    44,    44,
    45,    45,    46,    46
};

static const short yyr2[] = {     0,
     0,     2,     9,     6,     8,     5,     1,     1,     1,     1,
     1,     1,     1,     1,     1,     0,     3,     1,     3,     0,
     3,     0,     2,     2,     3,     3,     1,     0,     1,     0,
     2,     6,     1,     1,     0,     2,     0,     1,     0,     2,
     4,     1,     0,     1
};

static const short yydefact[] = {     1,
     0,     0,     0,     7,     8,     9,    10,    11,    12,    13,
    14,    15,     2,    16,    16,     0,     0,     0,    20,    30,
    16,     0,    18,     0,    22,    30,     0,    28,    16,     0,
    17,     0,     0,    34,     6,    33,    37,    31,    29,    20,
    30,    19,    27,    22,    22,    28,    21,    23,     4,    38,
     0,    30,     0,     0,     0,    24,    39,     0,     5,    25,
    26,     0,     3,    42,    44,     0,     0,    40,     0,    36,
    32,    37,     0,    41,     0,     0
};

static const short yydefgoto[] = {     1,
    13,    19,    24,    26,    32,    48,    40,    27,    38,    67,
    51,    62,    68,    69
};

static const short yypact[] = {-32768,
    37,    -8,     4,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,    36,    -7,    12,    17,    22,     9,-32768,
    -7,    14,    15,    18,-32768,-32768,     2,    34,    -7,    22,
-32768,     3,    10,-32768,-32768,-32768,    59,-32768,-32768,     9,
-32768,-32768,-32768,-32768,-32768,    34,-32768,-32768,-32768,-32768,
    40,-32768,    13,    57,    60,-32768,-32768,    24,-32768,-32768,
-32768,    -1,-32768,-32768,-32768,    48,    41,-32768,    51,-32768,
-32768,    59,    66,-32768,    76,-32768
};

static const short yypgoto[] = {-32768,
-32768,    21,    47,    38,   -39,-32768,    33,   -24,-32768,-32768,
     8,-32768,-32768,-32768
};


#define	YYLAST		80


static const short yytable[] = {    64,
    14,    33,    34,    43,    54,    55,    35,    65,    44,    45,
    34,    36,    15,    34,    49,    46,    53,    59,    18,    36,
    21,   -43,    36,    37,    34,    22,    66,    58,    63,   -35,
    23,    37,    47,    36,    37,    20,    75,    25,    29,     2,
     3,    28,    30,    39,    31,    37,     4,     5,    57,    41,
     6,     7,     8,     9,    10,    11,    12,    43,    16,    17,
    43,    18,    44,    45,    60,    44,    45,    61,    70,    46,
    50,    71,    46,    72,    74,    76,    42,    52,    56,    73
};

static const short yycheck[] = {     1,
     9,    26,     1,     1,    44,    45,     5,     9,     6,     7,
     1,    10,     9,     1,     5,    13,    41,     5,    26,    10,
     9,    23,    10,    22,     1,     9,    28,    52,     5,    31,
     9,    22,    30,    10,    22,    15,     0,    29,    25,     3,
     4,    21,    28,    10,    27,    22,    10,    11,     9,    29,
    14,    15,    16,    17,    18,    19,    20,     1,    23,    24,
     1,    26,     6,     7,     8,     6,     7,     8,    21,    13,
    12,    31,    13,    23,     9,     0,    30,    40,    46,    72
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

#ifndef YYPARSE_RETURN_TYPE
#define YYPARSE_RETURN_TYPE int
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
YYPARSE_RETURN_TYPE yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 196 "/usr/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

YYPARSE_RETURN_TYPE
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 2:
#line 130 "HeaderGrammar.y"
{
			if ([yyvsp[0].object isKindOfClass:[ADHeaderEntity class]])
			{
				if (currentComment)
				{
					[yyvsp[0].object setEntityDescription:currentComment];
					currentComment = nil;
				}
				else if ([yyvsp[0].object isMemberOfClass:[lastEntity class]])
				{
					[yyvsp[0].object setRelatedToPreviousEntity:YES];
				}
				lastEntity = yyvsp[0].object;
			}
		;
    break;}
case 3:
#line 148 "HeaderGrammar.y"
{
				yyval.object = [[[ADClass alloc] init] autorelease];
				[yyval.object setClassName:yyvsp[-7].stringVal];
				[yyval.object setSuperclassName:yyvsp[-5].stringVal];
				[yyval.object setConformedProtocols:yyvsp[-4].mutableArray];
				[yyval.object setInheritsInfo:yyvsp[-3].comment];
				[yyval.object setIvarArray:yyvsp[-2].mutableArray];
				[yyval.object addDeclarationsFromArray:yyvsp[-1].mutableArray];
				[ADFILE addClass:yyval.object];
			;
    break;}
case 4:
#line 160 "HeaderGrammar.y"
{
				yyval.object = [[[ADClass alloc] init] autorelease];
				[yyval.object setClassName:yyvsp[-4].stringVal];
				[yyval.object setConformedProtocols:yyvsp[-3].mutableArray];
				[yyval.object setIvarArray:yyvsp[-2].mutableArray];
				[yyval.object addDeclarationsFromArray:yyvsp[-1].mutableArray];
				[ADFILE addClass:yyval.object];
			;
    break;}
case 5:
#line 169 "HeaderGrammar.y"
{
				yyval.object = [ADCategory category];
				[yyval.object setClassName:yyvsp[-6].stringVal];
				[yyval.object setCategoryName:yyvsp[-4].stringVal];
				[yyval.object setConformedProtocols:yyvsp[-2].mutableArray];
				[yyval.object addDeclarationsFromArray:yyvsp[-1].mutableArray];
				[ADFILE addCategory:yyval.object];
			;
    break;}
case 6:
#line 178 "HeaderGrammar.y"
{
				yyval.object = [ADProtocol protocol];
				[yyval.object setProtocolName:yyvsp[-3].stringVal];
				[yyval.object setConformedProtocols:yyvsp[-2].mutableArray];
				[yyval.object addDeclarationsFromArray:yyvsp[-1].mutableArray];
				[ADFILE addProtocol:yyval.object];
			;
    break;}
case 7:
#line 186 "HeaderGrammar.y"
{
				yyval.object = [ADComment commentWithString:yyvsp[0].stringVal];
				currentComment = yyval.object;
			;
    break;}
case 8:
#line 191 "HeaderGrammar.y"
{
				yyval.object = nil;
				[ADFILE setCopyrightFromString:yyvsp[0].stringVal];
			;
    break;}
case 9:
#line 196 "HeaderGrammar.y"
{
				yyval.object = [ADFunction functionWithString:yyvsp[0].stringVal];
				[ADFILE addFunction:yyval.object];
			;
    break;}
case 10:
#line 201 "HeaderGrammar.y"
{
				yyval.object = [ADInlineFunction functionWithString:yyvsp[0].stringVal];
                [ADFILE addInlineFunction:yyval.object];
			;
    break;}
case 11:
#line 206 "HeaderGrammar.y"
{
				yyval.object = [ADGlobalVariable variableWithString:yyvsp[0].stringVal];
				[ADFILE addVariable:yyval.object];
			;
    break;}
case 12:
#line 211 "HeaderGrammar.y"
{
				yyval.object = [ADConstant constantWithString:yyvsp[0].stringVal];

                /*
                 * Often, headers are protected against multiple inclusion
                 * by something like the following:

					#ifndef _FOO_H_
					#define _FOO_H_
					...
					#endif _FOO_H_

                 * To avoid documenting these, we will not document a macro
                 * that starts with an underscore ("_") unless it has been
                 * explicitly documented.
                 */
				if (currentComment != nil || ![[yyval.object name] hasPrefix:UNDERSCORE])
				{
					[ADFILE addConstant:yyval.object];
				}
			;
    break;}
case 13:
#line 233 "HeaderGrammar.y"
{
				yyval.object = [ADMacro macroWithString:yyvsp[0].stringVal];
				[ADFILE addMacro:yyval.object];
			;
    break;}
case 14:
#line 238 "HeaderGrammar.y"
{
				yyval.object = [ADTypedef typedefWithString:yyvsp[0].stringVal];
				[ADFILE addTypedef:yyval.object];
			;
    break;}
case 15:
#line 243 "HeaderGrammar.y"
{
				/* Not handling these yet */
				yyval.object = nil;
			;
    break;}
case 16:
#line 249 "HeaderGrammar.y"
{ yyval.mutableArray = [NSMutableArray array]; ;
    break;}
case 17:
#line 250 "HeaderGrammar.y"
{ yyval.mutableArray = yyvsp[-1].mutableArray; ;
    break;}
case 18:
#line 253 "HeaderGrammar.y"
{ yyval.mutableArray = [NSMutableArray arrayWithObject:yyvsp[0].stringVal]; ;
    break;}
case 19:
#line 254 "HeaderGrammar.y"
{ yyval.mutableArray = yyvsp[0].mutableArray; [yyval.mutableArray addObject:yyvsp[-2].stringVal]; ;
    break;}
case 20:
#line 257 "HeaderGrammar.y"
{ yyval.mutableArray = [NSMutableArray array]; ;
    break;}
case 21:
#line 258 "HeaderGrammar.y"
{ yyval.mutableArray = yyvsp[-1].mutableArray; ;
    break;}
case 22:
#line 260 "HeaderGrammar.y"
{ yyval.mutableArray = [NSMutableArray array]; ;
    break;}
case 23:
#line 261 "HeaderGrammar.y"
{ yyval.mutableArray = yyvsp[-1].mutableArray; if (yyvsp[0].ivar) [yyval.mutableArray addObject:yyvsp[0].ivar]; ;
    break;}
case 24:
#line 264 "HeaderGrammar.y"
{
				// Do "INTERNAL" check here
				yyval.ivar = [ADIvar ivarWithString:yyvsp[-1].stringVal];
				if (yyvsp[0].comment) [yyval.ivar setEntityDescription:yyvsp[0].comment];
			;
    break;}
case 25:
#line 270 "HeaderGrammar.y"
{
				yyval.ivar = [ADCompoundIvar ivarWithString:yyvsp[0].stringVal];
				[(ADCompoundIvar *)yyval.ivar setSubIvars:yyvsp[-1].mutableArray];
				[(ADCompoundIvar *)yyval.ivar setType:UNIONSTRING];
			;
    break;}
case 26:
#line 276 "HeaderGrammar.y"
{
				yyval.ivar = [ADCompoundIvar ivarWithString:yyvsp[0].stringVal];
				[(ADCompoundIvar *)yyval.ivar setSubIvars:yyvsp[-1].mutableArray];
				[(ADCompoundIvar *)yyval.ivar setType:STRUCTSTRING];
			;
    break;}
case 27:
#line 281 "HeaderGrammar.y"
{ yyval.ivar = nil; ;
    break;}
case 28:
#line 284 "HeaderGrammar.y"
{yyval.comment = nil; ;
    break;}
case 29:
#line 285 "HeaderGrammar.y"
{ yyval.comment = [ADComment commentWithString:yyvsp[0].stringVal]; ;
    break;}
case 30:
#line 288 "HeaderGrammar.y"
{ yyval.mutableArray = [NSMutableArray array]; ;
    break;}
case 31:
#line 289 "HeaderGrammar.y"
{ yyval.mutableArray = yyvsp[-1].mutableArray; if (yyvsp[0].method) [yyval.mutableArray addObject:yyvsp[0].method]; ;
    break;}
case 32:
#line 292 "HeaderGrammar.y"
{
				yyval.method = yyvsp[-2].method;
				[yyval.method setClassMethod:(yyvsp[-5].charVal == '+')];
				[yyval.method setReturnType:yyvsp[-4].stringVal];
				[yyval.method setFirstArgumentName:yyvsp[-3].stringVal];
				if ([yyvsp[-1].stringVal length] > 0)
					[yyval.method setIsVarargMethod:YES];
			;
    break;}
case 33:
#line 301 "HeaderGrammar.y"
{
				yyval.method = (ADMethod *)[ADComment commentWithString:yyvsp[0].stringVal];
			;
    break;}
case 34:
#line 304 "HeaderGrammar.y"
{ yyval.method = nil; ;
    break;}
case 35:
#line 309 "HeaderGrammar.y"
{yyval.stringVal = EMPTYSTRING;;
    break;}
case 36:
#line 310 "HeaderGrammar.y"
{yyval.stringVal = yyvsp[0].stringVal; ;
    break;}
case 37:
#line 313 "HeaderGrammar.y"
{yyval.stringVal = EMPTYSTRING; ;
    break;}
case 38:
#line 314 "HeaderGrammar.y"
{yyval.stringVal = yyvsp[0].stringVal; ;
    break;}
case 39:
#line 318 "HeaderGrammar.y"
{
				yyval.method = [ADMethod method];
			;
    break;}
case 40:
#line 322 "HeaderGrammar.y"
{
				yyval.method = yyvsp[-1].method;
				[yyval.method addArgument:yyvsp[0].methodArg.argName type:yyvsp[0].methodArg.argType varName:yyvsp[0].methodArg.varName];
			;
    break;}
case 41:
#line 329 "HeaderGrammar.y"
{
				yyval.methodArg.argName = yyvsp[-3].stringVal;
				yyval.methodArg.argType = yyvsp[-1].stringVal;
				yyval.methodArg.varName = yyvsp[0].stringVal;
			;
    break;}
case 42:
#line 335 "HeaderGrammar.y"
{
				yyval.methodArg.argName = EMPTYSTRING;
				yyval.methodArg.argType = EMPTYSTRING;
				yyval.methodArg.varName = EMPTYSTRING;
			;
    break;}
case 43:
#line 342 "HeaderGrammar.y"
{ yyval.stringVal = EMPTYSTRING; ;
    break;}
case 44:
#line 343 "HeaderGrammar.y"
{ yyval.stringVal = yyvsp[0].stringVal; ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 498 "/usr/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 346 "HeaderGrammar.y"


extern void ADSetHeaderFile(FILE *file);
extern int  ADHeaderLineNumber();

void ADParseHeaderFile(ADFile *fileContents)
{
	FILE *headerFile;
	int debugLevel = ADIntForDefault(ADDebugLevel);
	
#if YYDEBUG != 0
	yydebug = (debugLevel >= 5);
#endif

	if ([fileContents headerFilename])
	{
		headerFile = fopen([[fileContents headerFilename] cString], "r");
		if (headerFile)
		{
			ADDebugLog(1, @"Parsing %@...\n", [fileContents headerFilename]);
			ADSetHeaderFile(headerFile);
			globalFileContents = fileContents;
			lastEntity = nil;
			currentComment = nil;
			yyparse();
			fclose(headerFile);
			headerFile = NULL;
		}
	}
}


int yyerror(char *s)
{
	ADLog(@"Parse error: %@: %d: %s\n", [ADFILE headerFilename], ADHeaderLineNumber(), s);
	return 1;
}

